MP4(3)

NAME

MP4AddRtpSampleData - Add media sample data to an RTP packet

SYNTAX

#include <mp4.h>

bool MP4AddRtpSampleData(
    MP4FileHandle hFile,
    MP4TrackId hintTrackId,
    MP4SampleId sampleId,
    u_int32_t dataOffset,
    u_int32_t dataLength
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

hintTrackId
    Specifies the hint track to which the operation applies.

sampleId
    Specifies the reference media sample id from which the media data should be taken.

dataOffset
    Specifies the byte offset in the specified media sample where data should be taken from for the current RTP packet.

dataLength
    Specifies the length in bytes of the media data that should be included in the current RTP packet.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AddRtpSampleData adds a reference in the current pending RTP packet to the media data in the specified media sample of the reference media track. Note this is a reference, not a copy, of the media data.

SEE ALSO

MP4(3) MP4AddRtpPacket (3) MP4AddRtpImmediateData (3)